## GAS DMS Set Active Firmware request GAS DMS Set Active Firmware request |

## Functions

QmiMessageGasDmsSetActiveFirmwareInput * | qmi_message_gas_dms_set_active_firmware_input_new ()
QmiMessageGasDmsSetActiveFirmwareInput * | qmi_message_gas_dms_set_active_firmware_input_ref ()
void | qmi_message_gas_dms_set_active_firmware_input_unref ()
gboolean | qmi_message_gas_dms_set_active_firmware_input_get_version ()
gboolean | qmi_message_gas_dms_set_active_firmware_input_set_version ()
gboolean | qmi_message_gas_dms_set_active_firmware_input_get_slot_index ()
gboolean | qmi_message_gas_dms_set_active_firmware_input_set_slot_index ()
gboolean | qmi_message_gas_dms_set_active_firmware_input_get_carrier_name ()
gboolean | qmi_message_gas_dms_set_active_firmware_input_set_carrier_name ()
QmiMessageGasDmsSetActiveFirmwareOutput * | qmi_message_gas_dms_set_active_firmware_output_ref ()
void | qmi_message_gas_dms_set_active_firmware_output_unref ()
gboolean | qmi_message_gas_dms_set_active_firmware_output_get_result ()
void | qmi_client_gas_dms_set_active_firmware ()
QmiMessageGasDmsSetActiveFirmwareOutput * | qmi_client_gas_dms_set_active_firmware_finish ()

## Types and Values

| QmiMessageGasDmsSetActiveFirmwareInput
| QmiMessageGasDmsSetActiveFirmwareOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageGasDmsSetActiveFirmwareInput
        ╰── QmiMessageGasDmsSetActiveFirmwareOutput

## Description

## Functions

### qmi_message_gas_dms_set_active_firmware_input_new ()

    QmiMessageGasDmsSetActiveFirmwareInput *
    qmi_message_gas_dms_set_active_firmware_input_new
                                   (void);

Allocates a new QmiMessageGasDmsSetActiveFirmwareInput.

#### Returns

the newly created QmiMessageGasDmsSetActiveFirmwareInput. The returned value should be freed with `qmi_message_gas_dms_set_active_firmware_input_unref()`.

Since: 1.24

### qmi_message_gas_dms_set_active_firmware_input_ref ()

    QmiMessageGasDmsSetActiveFirmwareInput *
    qmi_message_gas_dms_set_active_firmware_input_ref
                                   (QmiMessageGasDmsSetActiveFirmwareInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageGasDmsSetActiveFirmwareInput. |

#### Returns

the new reference to `self` .

Since: 1.24

### qmi_message_gas_dms_set_active_firmware_input_unref ()

    void
    qmi_message_gas_dms_set_active_firmware_input_unref
                                   (QmiMessageGasDmsSetActiveFirmwareInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageGasDmsSetActiveFirmwareInput. |

Since: 1.24

### qmi_message_gas_dms_set_active_firmware_input_get_version ()

    gboolean
    qmi_message_gas_dms_set_active_firmware_input_get_version
                                   (QmiMessageGasDmsSetActiveFirmwareInput *self,
                                    const gchar **value_version,
                                    GError **error);

Get the 'Version' field from `self` .

#### Parameters

self | a QmiMessageGasDmsSetActiveFirmwareInput. |
value_version | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_gas_dms_set_active_firmware_input_set_version ()

    gboolean
    qmi_message_gas_dms_set_active_firmware_input_set_version
                                   (QmiMessageGasDmsSetActiveFirmwareInput *self,
                                    const gchar *value_version,
                                    GError **error);

Set the 'Version' field in the message.

#### Parameters

self | a QmiMessageGasDmsSetActiveFirmwareInput. |
value_version | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_gas_dms_set_active_firmware_input_get_slot_index ()

    gboolean
    qmi_message_gas_dms_set_active_firmware_input_get_slot_index
                                   (QmiMessageGasDmsSetActiveFirmwareInput *self,
                                    guint8 *value_slot_index,
                                    GError **error);

Get the 'Slot Index' field from `self` .

#### Parameters

self | a QmiMessageGasDmsSetActiveFirmwareInput. |
value_slot_index | a placeholder for the output guint8, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_gas_dms_set_active_firmware_input_set_slot_index ()

    gboolean
    qmi_message_gas_dms_set_active_firmware_input_set_slot_index
                                   (QmiMessageGasDmsSetActiveFirmwareInput *self,
                                    guint8 value_slot_index,
                                    GError **error);

Set the 'Slot Index' field in the message.

#### Parameters

self | a QmiMessageGasDmsSetActiveFirmwareInput. |
value_slot_index | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_gas_dms_set_active_firmware_input_get_carrier_name ()

    gboolean
    qmi_message_gas_dms_set_active_firmware_input_get_carrier_name
                                   (QmiMessageGasDmsSetActiveFirmwareInput *self,
                                    const gchar **value_carrier_name,
                                    GError **error);

Get the 'Carrier Name' field from `self` .

#### Parameters

self | a QmiMessageGasDmsSetActiveFirmwareInput. |
value_carrier_name | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_gas_dms_set_active_firmware_input_set_carrier_name ()

    gboolean
    qmi_message_gas_dms_set_active_firmware_input_set_carrier_name
                                   (QmiMessageGasDmsSetActiveFirmwareInput *self,
                                    const gchar *value_carrier_name,
                                    GError **error);

Set the 'Carrier Name' field in the message.

#### Parameters

self | a QmiMessageGasDmsSetActiveFirmwareInput. |
value_carrier_name | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_gas_dms_set_active_firmware_output_ref ()

    QmiMessageGasDmsSetActiveFirmwareOutput *
    qmi_message_gas_dms_set_active_firmware_output_ref
                                   (QmiMessageGasDmsSetActiveFirmwareOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageGasDmsSetActiveFirmwareOutput. |

#### Returns

the new reference to `self` .

Since: 1.24

### qmi_message_gas_dms_set_active_firmware_output_unref ()

    void
    qmi_message_gas_dms_set_active_firmware_output_unref
                                   (QmiMessageGasDmsSetActiveFirmwareOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageGasDmsSetActiveFirmwareOutput. |

Since: 1.24

### qmi_message_gas_dms_set_active_firmware_output_get_result ()

    gboolean
    qmi_message_gas_dms_set_active_firmware_output_get_result
                                   (QmiMessageGasDmsSetActiveFirmwareOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageGasDmsSetActiveFirmwareOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.24

### qmi_client_gas_dms_set_active_firmware ()

    void
    qmi_client_gas_dms_set_active_firmware
                                   (QmiClientGas *self,
                                    QmiMessageGasDmsSetActiveFirmwareInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a DMS Set Active Firmware request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_gas_dms_set_active_firmware_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientGas. |
input | a QmiMessageGasDmsSetActiveFirmwareInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.24

### qmi_client_gas_dms_set_active_firmware_finish ()

    QmiMessageGasDmsSetActiveFirmwareOutput *
    qmi_client_gas_dms_set_active_firmware_finish
                                   (QmiClientGas *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_gas_dms_set_active_firmware()`.

#### Parameters

self | a QmiClientGas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_gas_dms_set_active_firmware()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageGasDmsSetActiveFirmwareOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_gas_dms_set_active_firmware_output_unref()`.

Since: 1.24

## Types and Values

### QmiMessageGasDmsSetActiveFirmwareInput

    typedef struct _QmiMessageGasDmsSetActiveFirmwareInput QmiMessageGasDmsSetActiveFirmwareInput;

The QmiMessageGasDmsSetActiveFirmwareInput structure contains private data and should only be accessed using the provided API.

Since: 1.24

### QmiMessageGasDmsSetActiveFirmwareOutput

    typedef struct _QmiMessageGasDmsSetActiveFirmwareOutput QmiMessageGasDmsSetActiveFirmwareOutput;

The QmiMessageGasDmsSetActiveFirmwareOutput structure contains private data and should only be accessed using the provided API.

Since: 1.24